メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
fcmv1
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.SetGuardianFactorsProviderPushNotificationFcmv1RequestContent{}
    client.Guardian.Factors.PushNotification.SetFcmv1Provider(
        context.TODO(),
        request,
    )
}
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setFcmv1Provider({});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.pushNotification.setFcmv1Provider({});
}
main();
curl --request PATCH \
--url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/fcmv1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server_credentials": "<string>"
}
'
import requests

url = "https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/fcmv1"

payload = { "server_credentials": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)


{}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ボディ

server_credentials
string | null
Required string length: 1 - 10000

レスポンス

FCMV1 configuration updated

The response is of type object.